### 8.66 `DPROD` — Double product function

Description:
  `DPROD(X,Y)` returns the product `X*Y`.
Standard:
  Fortran 77 and later
Class:
  Elemental function
Syntax:
  `RESULT = DPROD(X, Y)`
Arguments:

  X | The type shall be `REAL`.
  Y | The type shall be `REAL`.

Return value:
  The return value is of type `REAL(8)`.
Example:

                program test_dprod
                    real :: x = 5.2
                    real :: y = 2.3
                    real(8) :: d
                    d = dprod(x,y)
                    print *, d
                end program test_dprod

Specific names:

  Name | Argument | Return type | Standard
  `DPROD(X,Y)` | `REAL(4) X, Y` | `REAL(4)` | Fortran 77 and later